> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Change Quantity

PATCH https://restapi.ordergroove.com/items/{item_id}/change_quantity/
Content-Type: application/json

Updates the quantity of an order item.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/items/change-quantity

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /items/{item_id}/change_quantity/:
    patch:
      operationId: change-quantity
      summary: Change Quantity
      description: Updates the quantity of an order item.
      tags:
        - items
      parameters:
        - name: item_id
          in: path
          description: Unique item ID
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Items_changeQuantity_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Items-change-quantityRequestBadRequestError
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Items-change-quantityRequestForbiddenError
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Items-change-quantityRequestNotFoundError'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                quantity:
                  type: integer
                  description: Number of items
              required:
                - quantity
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    ItemsItemIdChangeQuantityPatchResponsesContentApplicationJsonSchemaComponentsItems:
      type: object
      properties: {}
      title: >-
        ItemsItemIdChangeQuantityPatchResponsesContentApplicationJsonSchemaComponentsItems
    Items_changeQuantity_Response_200:
      type: object
      properties:
        order:
          type: string
        offer:
          description: Any type
        subscription:
          type: string
        product:
          type: string
        components:
          type: array
          items:
            $ref: >-
              #/components/schemas/ItemsItemIdChangeQuantityPatchResponsesContentApplicationJsonSchemaComponentsItems
        subscription_component:
          type: string
        quantity:
          type: integer
          default: 0
        public_id:
          type: string
        product_attribute:
          description: Any type
        price:
          type: string
        extra_cost:
          type: string
        total_price:
          type: string
        one_time:
          type: boolean
          default: true
        order_updated:
          type: string
        frozen:
          type: boolean
          default: true
        first_placed:
          description: Any type
      title: Items_changeQuantity_Response_200
    Items-change-quantityRequestBadRequestError:
      type: object
      properties:
        '[field_name]':
          type: string
      title: Items-change-quantityRequestBadRequestError
    Items-change-quantityRequestForbiddenError:
      type: object
      properties:
        detail:
          type: string
      title: Items-change-quantityRequestForbiddenError
    Items-change-quantityRequestNotFoundError:
      type: object
      properties:
        detail:
          type: string
      title: Items-change-quantityRequestNotFoundError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Request**

```json
{
  "quantity": 1
}
```

**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/items/item_id/change_quantity/"

payload = { "quantity": 1 }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/items/item_id/change_quantity/';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"quantity":1}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/items/item_id/change_quantity/"

	payload := strings.NewReader("{\n  \"quantity\": 1\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/items/item_id/change_quantity/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"quantity\": 1\n}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://restapi.ordergroove.com/items/item_id/change_quantity/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"quantity\": 1\n}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://restapi.ordergroove.com/items/item_id/change_quantity/', [
  'body' => '{
  "quantity": 1
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/items/item_id/change_quantity/");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"quantity\": 1\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["quantity": 1] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/items/item_id/change_quantity/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```